<?php
$tdatasocio_dp = array();
$tdatasocio_dp[".searchableFields"] = array();
$tdatasocio_dp[".ShortName"] = "socio_dp";
$tdatasocio_dp[".OwnerID"] = "";
$tdatasocio_dp[".OriginalTable"] = "socio_dp";


$tdatasocio_dp[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatasocio_dp[".originalPagesByType"] = $tdatasocio_dp[".pagesByType"];
$tdatasocio_dp[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatasocio_dp[".originalPages"] = $tdatasocio_dp[".pages"];
$tdatasocio_dp[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatasocio_dp[".originalDefaultPages"] = $tdatasocio_dp[".defaultPages"];

//	field labels
$fieldLabelssocio_dp = array();
$fieldToolTipssocio_dp = array();
$pageTitlessocio_dp = array();
$placeHolderssocio_dp = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelssocio_dp["Spanish"] = array();
	$fieldToolTipssocio_dp["Spanish"] = array();
	$placeHolderssocio_dp["Spanish"] = array();
	$pageTitlessocio_dp["Spanish"] = array();
	$fieldLabelssocio_dp["Spanish"]["id_Socio"] = "Id Socio";
	$fieldToolTipssocio_dp["Spanish"]["id_Socio"] = "";
	$placeHolderssocio_dp["Spanish"]["id_Socio"] = "";
	$fieldLabelssocio_dp["Spanish"]["tipo_accionista"] = "Tipo Accionista";
	$fieldToolTipssocio_dp["Spanish"]["tipo_accionista"] = "";
	$placeHolderssocio_dp["Spanish"]["tipo_accionista"] = "";
	$fieldLabelssocio_dp["Spanish"]["id_dp"] = "Id Dp";
	$fieldToolTipssocio_dp["Spanish"]["id_dp"] = "";
	$placeHolderssocio_dp["Spanish"]["id_dp"] = "";
	$fieldLabelssocio_dp["Spanish"]["id_constitucion"] = "Id Constitucion";
	$fieldToolTipssocio_dp["Spanish"]["id_constitucion"] = "";
	$placeHolderssocio_dp["Spanish"]["id_constitucion"] = "";
	$fieldLabelssocio_dp["Spanish"]["id_s_dp"] = "Id S Dp";
	$fieldToolTipssocio_dp["Spanish"]["id_s_dp"] = "";
	$placeHolderssocio_dp["Spanish"]["id_s_dp"] = "";
	if (count($fieldToolTipssocio_dp["Spanish"]))
		$tdatasocio_dp[".isUseToolTips"] = true;
}


	$tdatasocio_dp[".NCSearch"] = true;



$tdatasocio_dp[".shortTableName"] = "socio_dp";
$tdatasocio_dp[".nSecOptions"] = 0;

$tdatasocio_dp[".mainTableOwnerID"] = "";
$tdatasocio_dp[".entityType"] = 0;
$tdatasocio_dp[".connId"] = "bsn_dividendos_at_localhost";


$tdatasocio_dp[".strOriginalTableName"] = "socio_dp";

	



$tdatasocio_dp[".showAddInPopup"] = false;

$tdatasocio_dp[".showEditInPopup"] = false;

$tdatasocio_dp[".showViewInPopup"] = false;

$tdatasocio_dp[".listAjax"] = false;
//	temporary
//$tdatasocio_dp[".listAjax"] = false;

	$tdatasocio_dp[".audit"] = true;

	$tdatasocio_dp[".locking"] = true;


$pages = $tdatasocio_dp[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatasocio_dp[".edit"] = true;
	$tdatasocio_dp[".afterEditAction"] = 1;
	$tdatasocio_dp[".closePopupAfterEdit"] = 1;
	$tdatasocio_dp[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatasocio_dp[".add"] = true;
$tdatasocio_dp[".afterAddAction"] = 1;
$tdatasocio_dp[".closePopupAfterAdd"] = 1;
$tdatasocio_dp[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatasocio_dp[".list"] = true;
}



$tdatasocio_dp[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatasocio_dp[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatasocio_dp[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatasocio_dp[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatasocio_dp[".printFriendly"] = true;
}



$tdatasocio_dp[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatasocio_dp[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatasocio_dp[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatasocio_dp[".isUseAjaxSuggest"] = true;



																																																																																																																																																

$tdatasocio_dp[".ajaxCodeSnippetAdded"] = false;

$tdatasocio_dp[".buttonsAdded"] = false;

$tdatasocio_dp[".addPageEvents"] = false;

// use timepicker for search panel
$tdatasocio_dp[".isUseTimeForSearch"] = false;


$tdatasocio_dp[".badgeColor"] = "778899";


$tdatasocio_dp[".allSearchFields"] = array();
$tdatasocio_dp[".filterFields"] = array();
$tdatasocio_dp[".requiredSearchFields"] = array();

$tdatasocio_dp[".googleLikeFields"] = array();
$tdatasocio_dp[".googleLikeFields"][] = "id_s_dp";
$tdatasocio_dp[".googleLikeFields"][] = "id_Socio";
$tdatasocio_dp[".googleLikeFields"][] = "tipo_accionista";
$tdatasocio_dp[".googleLikeFields"][] = "id_dp";
$tdatasocio_dp[".googleLikeFields"][] = "id_constitucion";



$tdatasocio_dp[".tableType"] = "list";

$tdatasocio_dp[".printerPageOrientation"] = 0;
$tdatasocio_dp[".nPrinterPageScale"] = 100;

$tdatasocio_dp[".nPrinterSplitRecords"] = 40;

$tdatasocio_dp[".geocodingEnabled"] = false;










$tdatasocio_dp[".pageSize"] = 20;

$tdatasocio_dp[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatasocio_dp[".strOrderBy"] = $tstrOrderBy;

$tdatasocio_dp[".orderindexes"] = array();


$tdatasocio_dp[".sqlHead"] = "SELECT id_s_dp ,  	id_Socio,  	tipo_accionista,  	id_dp,    	id_constitucion";
$tdatasocio_dp[".sqlFrom"] = "FROM socio_dp";
$tdatasocio_dp[".sqlWhereExpr"] = "";
$tdatasocio_dp[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatasocio_dp[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatasocio_dp[".arrGroupsPerPage"] = $arrGPP;

$tdatasocio_dp[".highlightSearchResults"] = true;

$tableKeyssocio_dp = array();
$tableKeyssocio_dp[] = "id_s_dp";
$tdatasocio_dp[".Keys"] = $tableKeyssocio_dp;


$tdatasocio_dp[".hideMobileList"] = array();




//	id_s_dp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_s_dp";
	$fdata["GoodName"] = "id_s_dp";
	$fdata["ownerTable"] = "socio_dp";
	$fdata["Label"] = GetFieldLabel("socio_dp","id_s_dp");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id_s_dp";

		$fdata["sourceSingle"] = "id_s_dp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_s_dp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio_dp["id_s_dp"] = $fdata;
		$tdatasocio_dp[".searchableFields"][] = "id_s_dp";
//	id_Socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "id_Socio";
	$fdata["GoodName"] = "id_Socio";
	$fdata["ownerTable"] = "socio_dp";
	$fdata["Label"] = GetFieldLabel("socio_dp","id_Socio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_Socio";

		$fdata["sourceSingle"] = "id_Socio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_Socio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "socio";
		$edata["listPageId"] = "list";
		$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 2;

	
		
	$edata["LinkField"] = "id_Socio";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "concat( ci, ' - ', apellido_Paterno, ' ', apellido_Materno, ' ', apellido_Casada, ' ', nombres )";

	

		$edata["CustomDisplay"] = "true";

	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
	
// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio_dp["id_Socio"] = $fdata;
		$tdatasocio_dp[".searchableFields"][] = "id_Socio";
//	tipo_accionista
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "tipo_accionista";
	$fdata["GoodName"] = "tipo_accionista";
	$fdata["ownerTable"] = "socio_dp";
	$fdata["Label"] = GetFieldLabel("socio_dp","tipo_accionista");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "tipo_accionista";

		$fdata["sourceSingle"] = "tipo_accionista";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "tipo_accionista";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "aux";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_aux";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "nombre";

				$edata["LookupWhere"] = "valor  like 'TIPO_SOCIO'";


	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio_dp["tipo_accionista"] = $fdata;
		$tdatasocio_dp[".searchableFields"][] = "tipo_accionista";
//	id_dp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "id_dp";
	$fdata["GoodName"] = "id_dp";
	$fdata["ownerTable"] = "socio_dp";
	$fdata["Label"] = GetFieldLabel("socio_dp","id_dp");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_dp";

		$fdata["sourceSingle"] = "id_dp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_dp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "derecho_propietario";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_derecho_Propietario";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "id_derecho_Propietario";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio_dp["id_dp"] = $fdata;
		$tdatasocio_dp[".searchableFields"][] = "id_dp";
//	id_constitucion
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "id_constitucion";
	$fdata["GoodName"] = "id_constitucion";
	$fdata["ownerTable"] = "socio_dp";
	$fdata["Label"] = GetFieldLabel("socio_dp","id_constitucion");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "id_constitucion";

		$fdata["sourceSingle"] = "id_constitucion";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id_constitucion";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "constitucion";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id_constitucion";
	$edata["LinkFieldType"] = 3;
	$edata["DisplayField"] = "id_constitucion";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatasocio_dp["id_constitucion"] = $fdata;
		$tdatasocio_dp[".searchableFields"][] = "id_constitucion";


$tables_data["socio_dp"]=&$tdatasocio_dp;
$field_labels["socio_dp"] = &$fieldLabelssocio_dp;
$fieldToolTips["socio_dp"] = &$fieldToolTipssocio_dp;
$placeHolders["socio_dp"] = &$placeHolderssocio_dp;
$page_titles["socio_dp"] = &$pageTitlessocio_dp;


changeTextControlsToDate( "socio_dp" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["socio_dp"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["socio_dp"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="derecho_propietario";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="derecho_propietario";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "derecho_propietario";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["socio_dp"][0] = $masterParams;
				$masterTablesData["socio_dp"][0]["masterKeys"] = array();
	$masterTablesData["socio_dp"][0]["masterKeys"][]="id_derecho_Propietario";
				$masterTablesData["socio_dp"][0]["masterKeys"][]="id_constitucion";
				$masterTablesData["socio_dp"][0]["detailKeys"] = array();
	$masterTablesData["socio_dp"][0]["detailKeys"][]="id_dp";
				$masterTablesData["socio_dp"][0]["detailKeys"][]="id_constitucion";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_socio_dp()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id_s_dp ,  	id_Socio,  	tipo_accionista,  	id_dp,    	id_constitucion";
$proto0["m_strFrom"] = "FROM socio_dp";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id_s_dp",
	"m_strTable" => "socio_dp",
	"m_srcTableName" => "socio_dp"
));

$proto6["m_sql"] = "id_s_dp";
$proto6["m_srcTableName"] = "socio_dp";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "id_Socio",
	"m_strTable" => "socio_dp",
	"m_srcTableName" => "socio_dp"
));

$proto8["m_sql"] = "id_Socio";
$proto8["m_srcTableName"] = "socio_dp";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "tipo_accionista",
	"m_strTable" => "socio_dp",
	"m_srcTableName" => "socio_dp"
));

$proto10["m_sql"] = "tipo_accionista";
$proto10["m_srcTableName"] = "socio_dp";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "id_dp",
	"m_strTable" => "socio_dp",
	"m_srcTableName" => "socio_dp"
));

$proto12["m_sql"] = "id_dp";
$proto12["m_srcTableName"] = "socio_dp";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "id_constitucion",
	"m_strTable" => "socio_dp",
	"m_srcTableName" => "socio_dp"
));

$proto14["m_sql"] = "id_constitucion";
$proto14["m_srcTableName"] = "socio_dp";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto16=array();
$proto16["m_link"] = "SQLL_MAIN";
			$proto17=array();
$proto17["m_strName"] = "socio_dp";
$proto17["m_srcTableName"] = "socio_dp";
$proto17["m_columns"] = array();
$proto17["m_columns"][] = "id_Socio";
$proto17["m_columns"][] = "tipo_accionista";
$proto17["m_columns"][] = "id_dp";
$proto17["m_columns"][] = "id_gestion";
$proto17["m_columns"][] = "id_constitucion";
$proto17["m_columns"][] = "id_s_dp";
$obj = new SQLTable($proto17);

$proto16["m_table"] = $obj;
$proto16["m_sql"] = "socio_dp";
$proto16["m_alias"] = "";
$proto16["m_srcTableName"] = "socio_dp";
$proto18=array();
$proto18["m_sql"] = "";
$proto18["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto18["m_column"]=$obj;
$proto18["m_contained"] = array();
$proto18["m_strCase"] = "";
$proto18["m_havingmode"] = false;
$proto18["m_inBrackets"] = false;
$proto18["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto18);

$proto16["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto16);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="socio_dp";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_socio_dp = createSqlQuery_socio_dp();


	
				;

					

$tdatasocio_dp[".sqlquery"] = $queryData_socio_dp;



$tdatasocio_dp[".hasEvents"] = false;

?>